<?php

add_shortcode('wp-video-contest-profile', 'wp_video_contest_profile');



function wp_video_contest_profile($atts, $content = null){
	
	$html = '';
	
	
	if ( is_user_logged_in() ) {
		 $user_ID = get_current_user_id();
		 $args = array( 
        'post_type'      => 'wp_video_contest', 
        'posts_per_page' => 100, 
        'post_status'    => 'any', 
        'post_parent'    => null,
		'author'    => $user_ID,
		'meta_key'       => 'contest-active',
        'orderby'        => 'post_date',
	      'order'          => 'DESC',
        );
  
         $html .= '<div class="video_gallery-wrap">';
		 
		 $attachments = get_posts( $args );
		 if(empty ($attachments))
		 {
			 $html .= '<div class="wp_video_contest-info-bar"><i class="fa fa-exclamation-triangle"></i> '.__('You must first upload some video!!','wp-video-contest').'</div>';
		 }
if ( $attachments ) {
	foreach ( $attachments as $post ) {
		
        
        $video_active = get_post_meta($post->ID,'contest-active',true);
        $video_points = get_post_meta($post->ID,'contest-video-points',true);
        $video_id = get_post_meta($post->ID,'video_id',true);
        
        $current_url = get_permalink();
        $blogurl = add_query_arg( array('contest' => 'video-detail','video_id' => $post->ID), $current_url );
        
        
        $columns_number = get_option( 'video-pcplugin-columns-number' );
        $thumb_size = get_option( 'video-pcplugin-thumb-size' );

	   
   $author_id = get_post_meta($post->ID,'contest-video-author',true);
   $title = mb_strimwidth($post->post_title, 0, 30, "...");
   $user = get_user_by( 'id', $author_id );
   $author = $user->nickname;
  
   $line = 'http://img.youtube.com/vi/'.$video_id.'/0.jpg';
   $votes = get_post_meta($post->ID,'contest-video-points',true);
   $getallow = get_post_meta($post->ID,'contest-active',true);
   if ($getallow ==1)
				  {
					  $allowed = '<span style="color:#49ba05;">'.__('Status - Active!','wp-video-contest').'</span>';
				  }else 
				  {
					  $allowed = '<span style="color:#e03b02;">'.__('Status - Waiting for Approval!','wp-video-contest').'</span>';
				  }
   
   if($columns_number==1){
   $html .= '<div class="one-full zip">';
   $html .= '<div class="video_video-container"><iframe src="http://www.youtube.com/embed/'.$video_id.'" 
frameborder="0" allowfullscreen></iframe></div>';
   $html .= '<div class="clear"></div><div class="gallery-title-autor"><div class="icon"><i class="fa fa-user"></i></div><div class="author">'.$author.'</div><br><div class="title">'.$allowed.'</div><div class="clear"></div></div>';
   $html .= '<div class="clear"></div><div class="video_gallery-votes"><span><i class="fa fa-heart"></i>&nbsp;&nbsp;<span>'.$votes.'</span></span><span><i class="fa fa-eye"></i>&nbsp;&nbsp;<span>'.getVCompetitionViews($post->ID).'</span></span><span class="right" onclick="location.href=\''.$blogurl.'\'"><i class="fa fa-video-camera"></i></span><div class="clear"></div></div>';
   $html .= '</div>';
   }elseif($columns_number==2){
	   $author2 = mb_strimwidth($author, 0, 30, "...");
	   $title = mb_strimwidth($post->post_title, 0, 50, "...");
   $html .= '<div class="one-half pop">';
   $html .= '<a data-test="small" href="'.$blogurl.'"><img src="'.$line.'" /></a>';
   $html .= '<div class="clear"></div><div class="gallery-title-autor"><div class="icon"><i class="fa fa-user"></i></div><div class="author">'.$author2.'</div><br><div class="title">'.$allowed.'</div><div class="clear"></div></div>';
   $html .= '<div class="clear"></div><div class="video_gallery-votes"><span><i class="fa fa-heart"></i>&nbsp;&nbsp;<span>'.$votes.'</span></span><span><i class="fa fa-eye"></i>&nbsp;&nbsp;<span>'.getVCompetitionViews($post->ID).'</span></span><span class="right" onclick="location.href=\''.$blogurl.'\'"><i class="fa fa-video-camera"></i></span><div class="clear"></div></div>';
   $html .= '</div>';
   }elseif($columns_number==3){
	   $author2 = mb_strimwidth($author, 0, 20, "...");
	   $title = mb_strimwidth($post->post_title, 0, 30, "...");
   $html .= '<div class="one-third pop">';
   $html .= '<a data-test="middle" href="'.$blogurl.'"><img src="'.$line.'" /></a>';
   $html .= '<div class="clear"></div><div class="gallery-title-autor"><div class="icon"><i class="fa fa-user"></i></div><div class="author">'.$author2.'</div><br><div class="title">'.$allowed.'</div><div class="clear"></div></div>';
   $html .= '<div class="clear"></div><div class="video_gallery-votes"><span><i class="fa fa-heart"></i>&nbsp;&nbsp;<span>'.$votes.'</span></span><span><i class="fa fa-eye"></i>&nbsp;&nbsp;<span>'.getVCompetitionViews($post->ID).'</span></span><span class="right" onclick="location.href=\''.$blogurl.'\'"><i class="fa fa-video-camera"></i></span><div class="clear"></div></div>';
   $html .= '</div>';
   }elseif($columns_number==4){
	   $author2 = mb_strimwidth($author, 0, 20, "...");
	   $title = mb_strimwidth($post->post_title, 0, 30, "...");
   $html .= '<div class="one-fourth pop">';
   $html .= '<a data-test="small" href="'.$blogurl.'"><img src="'.$line.'" /></a>';
   $html .= '<div class="clear"></div><div class="gallery-title-autor"><div class="icon"><i class="fa fa-user"></i></div><div class="author">'.$author2.'</div><br><div class="title">'.$allowed.'</div><div class="clear"></div></div>';
   $html .= '<div class="clear"></div><div class="video_gallery-votes"><span><i class="fa fa-heart"></i>&nbsp;&nbsp;<span>'.$votes.'</span></span><span><i class="fa fa-eye"></i>&nbsp;&nbsp;<span>'.getVCompetitionViews($post->ID).'</span></span><span class="right" onclick="location.href=\''.$blogurl.'\'"><i class="fa fa-video-camera"></i></span><div class="clear"></div></div>';
   $html .= '</div>';
   }elseif($columns_number==5){
	   $author2 = mb_strimwidth($author, 0, 15, "...");
	   $title = mb_strimwidth($post->post_title, 0, 20, "...");
   $html .= '<div class="one-fifth pop">';
   $html .= '<a data-test="small" href="'.$blogurl.'"><img src="'.$line.'" /></a>';
   $html .= '<div class="clear"></div><div class="gallery-title-autor"><div class="icon"><i class="fa fa-user"></i></div><div class="author">'.$author2.'</div><br><div class="title">'.$allowed.'</div><div class="clear"></div></div>';
   $html .= '<div class="clear"></div><div class="video_gallery-votes"><span><i class="fa fa-heart"></i>&nbsp;&nbsp;<span>'.$votes.'</span></span><span><i class="fa fa-eye"></i>&nbsp;&nbsp;<span>'.getVCompetitionViews($post->ID).'</span></span><span class="right" onclick="location.href=\''.$blogurl.'\'"><i class="fa fa-video-camera"></i></span><div class="clear"></div></div>';
   $html .= '</div>';
   }
   
   $html .= '';

    }
  }


		 
		 $html .= '</div>'; 
		 
		 }else{
		 $current_url = get_permalink();	 
		 $upload_url = add_query_arg( 'contest', 'upload-photo', $current_url );
		
		 $html .= '<div class="contest-upload-form-box">'.__('You are not logged in. Please log in and try again.','wp-video-contest').' <a href="'.$upload_url.'">'.__('Log in!','wp-video-contest').'</a></div>'; 
		 
		 }
		 
	
	
	
	return $html;
	
	}
	
	

?>