<?php
if(isset($_GET['reset'])){

  $args = array();

// The Query
 $blogusers = get_users();
    foreach ($blogusers as $user) {
        //delete_user_meta( $user->ID, 'wp_video_contest_user_images' );
        delete_user_meta( $user->ID, 'wp_video_contest_user_videos' );
    }

         $args = array( 
        'post_type'      => 'wp_video_contest', 
        'posts_per_page' => -1, 
        'post_status'    => 'any', 
        'post_parent'    => null,
        'meta_key'       => 'contest-active' 
        ); 

$video_posts = get_posts( $args );
if ( $video_posts ) {
	foreach ( $video_posts as $post ) {
		setup_postdata( $post );
        
  delete_post_meta($post->ID,'contest-active');
  delete_post_meta($post->ID,'contest-video-points');
  delete_post_meta($post->ID,'contest-video-author');
        
          }
       }


  //wp_redirect(home_url().'/wp-admin/admin.php?page=wp-video-contest');
} 
 
 
if(isset($_POST['plugin_setting'])){

        if(!empty($_POST['contest-start'])){
            update_option( 'video-pcplugin-contest-start', sanitize_text_field($_POST['contest-start']) );
        }
        if(!empty($_POST['contest-end'])){
            update_option( 'video-pcplugin-contest-end', sanitize_text_field($_POST['contest-end']) );
        }
		if(!empty($_POST['contest-reg-ends'])){
            update_option( 'video-pcplugin-contest-reg-ends', sanitize_text_field($_POST['contest-reg-ends']) );
        }
		if(!empty($_POST['contest-start-vote'])){
            update_option( 'video-pcplugin-contest-start-vote', sanitize_text_field($_POST['contest-start-vote']) );
        }
		if(!empty($_POST['date-format'])){
            update_option( 'video-pcplugin-date-format', sanitize_text_field($_POST['date-format']) );
        }
        if(!empty($_POST['video_number'])){
          if(is_numeric($_POST['video_number'])){
            update_option( 'video-pcplugin-video-number', $_POST['video_number'] );
          }
        }
        if(!empty($_POST['lines_number'])){
          if(is_numeric($_POST['lines_number'])){
            update_option( 'video-pcplugin-lines-number', $_POST['lines_number'] );
          }
        }
        if(!empty($_POST['columns_number'])){
          if(is_numeric($_POST['columns_number'])){
            update_option( 'video-pcplugin-columns-number', $_POST['columns_number'] );
          }
        }
        if(!empty($_POST['who-vote'])){
          if(is_numeric($_POST['who-vote'])){
            update_option( 'video-pcplugin-who-vote', $_POST['who-vote'] );
          }
        }
		if(!empty($_POST['allow-activate'])){
          if(is_numeric($_POST['allow-activate'])){
            update_option( 'video-pcplugin-allow-activate', $_POST['allow-activate'] );
          }
        }	
        
  wp_redirect(home_url().'/wp-admin/admin.php?page=wp-video-contest');

}  
 
 

      //Get option values
      $contest_start = get_option( 'video-pcplugin-contest-start' );
      $contest_end = get_option( 'video-pcplugin-contest-end' );
	  $contest_reg_ends = get_option( 'video-pcplugin-contest-reg-ends' );
	  $contest_start_vote = get_option( 'video-pcplugin-contest-start-vote' );
	  $date_format = get_option( 'video-pcplugin-date-format' );
      $video_number = get_option( 'video-pcplugin-video-number' );
      $lines_number = get_option( 'video-pcplugin-lines-number' );
      $columns_number = get_option( 'video-pcplugin-columns-number' );
      $who_vote = get_option( 'video-pcplugin-who-vote' );
	  $allow_activate = get_option( 'video-pcplugin-allow-activate' );
        
?>

<div class="wrap">

	<?php screen_icon(); ?>
	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>

	<form method="post" >
  
    <table class="form-table">
      <tbody>
         <tr valign="top">
          <th scope="row"><label for="contest-start"><?php _e('Start date','wp-video-contest'); ?></label></th>
          <td><input name="contest-start" type="text" id="contest-start" value="<?php echo $contest_start; ?>" class="regular-text contest-start">
          </td>
        </tr>
        <tr valign="top">
          <th scope="row"><label for="contest-end"><?php _e('End date','wp-video-contest'); ?></label></th>
          <td><input name="contest-end" type="text" id="contest-end" value="<?php echo $contest_end; ?>" class="regular-text contest-end">
          </td>
        </tr>
        <tr valign="top">
          <th scope="row"><label for="contest-reg-ends"><?php _e('Registration Ends on Date','wp-video-contest'); ?></label></th>
          <td><input name="contest-reg-ends" type="text" id="contest-reg-ends" value="<?php echo $contest_reg_ends; ?>" class="regular-text contest-start-vote">
          </td>
        </tr>
        <tr valign="top">
          <th scope="row"><label for="contest-start-vote"><?php _e('Voting Begins','wp-video-contest'); ?></label></th>
          <td><input name="contest-start-vote" type="text" id="contest-start-vote" value="<?php echo $contest_start_vote; ?>" class="regular-text contest-start-vote">
          </td>
        </tr>
        <tr valign="top">
          <th scope="row"><label for="date-format"><?php _e('Date Format','wp-video-contest'); ?></label></th>
          <td>
            <label title=""><input <?php if($date_format == 'm/d/Y'){echo 'checked="checked"';} ?> type="radio" name="date-format" value="m/d/Y" checked="checked"> <span><?php _e('m/d/Y - Month/Day/Year','wp-video-contest'); ?></span></label><br>
  	        <label title=""><input <?php if($date_format == 'm-d-Y'){echo 'checked="checked"';} ?> type="radio" name="date-format" value="m-d-Y"> <span><?php _e('m-d-Y - Month-Day-Year','wp-video-contest'); ?></span></label><br>
            <label title=""><input <?php if($date_format == 'd/m/Y'){echo 'checked="checked"';} ?> type="radio" name="date-format" value="d/m/Y"> <span><?php _e('d/m/Y - Day/Month/Year','wp-video-contest'); ?></span></label><br>
            <label title=""><input <?php if($date_format == 'd-m-Y'){echo 'checked="checked"';} ?> type="radio" name="date-format" value="d-m-Y"> <span><?php _e('d-m-Y - Day-Month-Year','wp-video-contest'); ?></span></label><br>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row"><label for="video_number"><?php _e('Videos per User','wp-video-contest'); ?></label></th>
          <td>
            <select name="video_number" id="video_number">
              <option <?php if($video_number == 1){echo 'selected="selected"';} ?> value="1">1</option>
              <option <?php if($video_number == 2){echo 'selected="selected"';} ?> value="2">2</option>
              <option <?php if($video_number == 3){echo 'selected="selected"';} ?> value="3">3</option>
              <option <?php if($video_number == 4){echo 'selected="selected"';} ?> value="4">4</option>
              <option <?php if($video_number == 5){echo 'selected="selected"';} ?> value="5">5</option>
              <option <?php if($video_number == 6){echo 'selected="selected"';} ?> value="6">6</option>
              <option <?php if($video_number == 7){echo 'selected="selected"';} ?> value="7">7</option>
              <option <?php if($video_number == 8){echo 'selected="selected"';} ?> value="8">8</option>
              <option <?php if($video_number == 9){echo 'selected="selected"';} ?> value="9">9</option>
              <option <?php if($video_number == 10){echo 'selected="selected"';} ?> value="10">10</option>
              <option <?php if($video_number == 20){echo 'selected="selected"';} ?> value="20">20</option>
              <option <?php if($video_number == 30){echo 'selected="selected"';} ?> value="30">30</option>
            </select>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row"><label for="lines_number"><?php _e('Rows in Gallery','wp-video-contest'); ?></label></th>
          <td>
            <select name="lines_number" id="lines_number">
              <option <?php if($lines_number == 1){echo 'selected="selected"';} ?> value="1">1</option>
              <option <?php if($lines_number == 2){echo 'selected="selected"';} ?> value="2">2</option>
              <option <?php if($lines_number == 3){echo 'selected="selected"';} ?> value="3">3</option>
              <option <?php if($lines_number == 4){echo 'selected="selected"';} ?> value="4">4</option>
              <option <?php if($lines_number == 5){echo 'selected="selected"';} ?> value="5">5</option>
              <option <?php if($lines_number == 6){echo 'selected="selected"';} ?> value="6">6</option>
              <option <?php if($lines_number == 7){echo 'selected="selected"';} ?> value="7">7</option>
              <option <?php if($lines_number == 8){echo 'selected="selected"';} ?> value="8">8</option>
              <option <?php if($lines_number == 9){echo 'selected="selected"';} ?> value="9">9</option>
              <option <?php if($lines_number == 10){echo 'selected="selected"';} ?> value="10">10</option>
              <option <?php if($lines_number == 20){echo 'selected="selected"';} ?> value="20">20</option>
            </select>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row"><label for="columns_number"><?php _e('Columns in Gallery','wp-video-contest'); ?></label></th>
          <td>
            <select name="columns_number" id="columns_number">
              <option <?php if($columns_number == 1){echo 'selected="selected"';} ?> value="1">1</option>
              <option <?php if($columns_number == 2){echo 'selected="selected"';} ?> value="2">2</option>
              <option <?php if($columns_number == 3){echo 'selected="selected"';} ?> value="3">3</option>
              <option <?php if($columns_number == 4){echo 'selected="selected"';} ?> value="4">4</option>
              <option <?php if($columns_number == 5){echo 'selected="selected"';} ?> value="5">5</option>
            </select>
          </td>
        </tr>
      
        <tr valign="top">
          <th scope="row"><label for="who-vote"><?php _e('Who can vote','wp-video-contest'); ?></label></th>
          <td>
            <fieldset>
              <legend class="screen-reader-text"><span><?php _e('Who can vote','wp-video-contest'); ?></span></legend>
	           <label title=""><input <?php if($who_vote == 1){echo 'checked="checked"';} ?> type="radio" name="who-vote" value="1" checked="checked"> <span><?php _e('Users','wp-video-contest'); ?></span></label><br>
  	         <label title=""><input <?php if($who_vote == 2){echo 'checked="checked"';} ?> type="radio" name="who-vote" value="2"> <span><?php _e('Everyone','wp-video-contest'); ?></span></label><br>
	         </fieldset>
          </td>
        </tr>
        <tr valign="top">
          <th scope="row"><label for="allow-activate"><?php _e('Automatically activate new videos','wp-video-contest'); ?></label></th>
          <td>
            <fieldset>
              <legend class="screen-reader-text"><span><?php _e('Automatically activate new videos','wp-video-contest'); ?></span></legend>
	           <label title=""><input <?php if($allow_activate == 1){echo 'checked="checked"';} ?> type="radio" name="allow-activate" value="1" checked="checked"> <span><?php _e('Yes','wp-video-contest'); ?></span></label><br>
  	         <label title=""><input <?php if($allow_activate == 2){echo 'checked="checked"';} ?> type="radio" name="allow-activate" value="2"> <span><?php _e('No','wp-video-contest'); ?> <small><em><?php _e('(recommended)','wp-video-contest'); ?></em></small></span></label><br>
	         </fieldset>
          </td>
        </tr>
      </tbody>
    </table>
    <input type="hidden" name="plugin_setting" id="plugin_setting" value="ok" />
    <p class="submit"><input type="submit" name="submit" id="submit" class="button button-primary" value="Save Changes"></p>
    
  </form>

  <hr />
  <h2><?php _e('Reset settings','wp-video-contest'); ?></h2>
  <a href="<?php echo home_url(); ?>/wp-admin/admin.php?page=wp-video-contest&reset=ok" id="submit" class="button button-primary"><?php _e('Reset settings','wp-video-contest'); ?></a>

</div>