<div class="wrap">

	<?php screen_icon(); ?>
	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>

	<div>
	 
	  <div>
	    <h3>Shortcodes</h3>
	    <hr />
      </div>
	  <h2>Menu Shortcode</h2>
	  <p>The menu can be displayed using shortcode [wp-video-contest-menu]. It will then be displayed on every page of the contest. It may be modified further by, e.g., changing the color</p>
	  <p>[wp-video-contest-menu color=&quot;blue&quot;]</p>
	  <p>Values for the color attribute &#45; grey (default), blue, light-blue, green, light-green, brown, maroon, red, orange, yellow, purple, light-purple, pink, black</p>
	  <p>Menu height can also be set. The basic height is 42px. style=&rdquo;slim&rdquo; will set the height to 34px.<br />
	    <strong>Example:</strong><br />
	    [wp-video-contest-menu color=&quot;blue&quot; style=&quot;slim&quot;]</p>
	  <hr />
	  <h2>WP Contest Shortcode</h2>
	  <p>Default shortcode for contest is [wp-video-contest-page]. This shortcode is without other attributes</p>
	  <hr />
	  <h2>WP Contest Width Shortcode</h2>
	  <p>There are thousands of WordPress layouts of various colours and sizes. The plugin should adapt to these in most cases. But it may not in every case. This shortcode help you control width of the contest. This code have a start and end tag.</p>
	  <p>Start Tag &#45; [wp-video-contest-width]<br />
	    End Tag &#45; [/wp-video-contest-width]<br />
	    Start Tag have only one attribute &ldquo;width&rdquo;. So if you wanna use this shortcode you must set the attribute width.</p>
	  <p><strong>Example:</strong><br />
	    [wp-video-contest-width width=&quot;645&quot;]<br />
	    <em>Width Value 645 = 645px</em>
        </p>
	  <p><strong>How to use shortcode [wp-video-contest-width]:</strong></p>
	  <p>[wp-video-contest-width width=&quot;645&quot;]</p>
	  <p>[wp-video-contest-menu]<br />
	    [wp-video-contest-page]</p>
	  <p>[/wp-video-contest-width]</p>
	  <hr />
	  <h2>Single Video Shortcode</h2>
	  <p>If you wanna show single video, from WP Video Contest, in your post/page use shortcode :</p>
	  <p>[wp-video-contest-single-video id=&quot;VIDEO-ID&quot;]</p>
	  <p><strong>Example:</strong><br />
	    [wp-video-contest-single-video id=&quot;73&quot;]<br />
      </p>
	  <p>You can also control video width and height using attributes &ldquo;width&rdquo; and &ldquo;height&rdquo; :</p>
	  <p>[wp-video-contest-single-video id=&quot;IMAGE-ID&quot; width=&quot;VIDEO-WIDTH&quot; height=&quot;VIDEO-HEIGHT&quot;]</p>
	  <p><strong>Example:</strong><br />
	    [wp-video-contest-single-video id=&quot;73&quot; width=&quot;600&quot; height=&quot;400&quot;]<br />
	    <em>Width Value 600 = 600px</em>
        <br>
        <em>Height Value 400 = 400px</em></p>
	</div>
</div>
