<?php
      
add_shortcode('wp-video-contest-menu', 'video_cp_menu');

function video_cp_menu($atts){
global $post;
//$current_url = $_SERVER["REQUEST_URI"];
$current_url = get_permalink();

$upload_url = add_query_arg( 'contest', 'upload-video', $current_url );
$gallery_url = add_query_arg( 'contest', 'videos', $current_url );
$condition_url = add_query_arg( 'contest', 'contest-condition', $current_url );
$profile_url = add_query_arg( 'contest', 'contest-profile', $current_url );
$rank_url = add_query_arg( 'contest', 'contest-top10', $current_url );
$date = StrFTime('%m/%d/%Y', Time());
$voting = get_option('video-pcplugin-contest-start-vote');
$start = get_option('video-pcplugin-contest-start');
$voting_time = strtotime($voting);
$begin_time = strtotime($start); 
$today_time = strtotime($date);

if(!empty($atts['color'])){
  $color_class = " ".$atts['color'];
}else{
  $color_class = '';
}

if(!empty($atts['style'])){
  $style_class = " ".$atts['style'];
}else{
  $style_class = '';
}

$html = '';

$html .= '<div class="wp_video_contest_menu">';
$html .= '<ul class="video_menu_list'.$color_class.''.$style_class.'">';

if (isset($_GET['contest'])&& $_GET['contest']== "gallery"){
  $html .= '<a href="'.$gallery_url.'"><li class="active"><i class="fa fa-image"></i> '.__('Videos','wp-video-contest').'</li></a> ';
}else{
  $html .= '<a href="'.$gallery_url.'"><li><i class="fa fa-video-camera"></i> '.__('Videos','wp-video-contest').'</li></a> ';
}


if (isset($_GET['contest'])&& $_GET['contest']== "upload-video"){
  $html .= '<a href="'.$upload_url.'"><li class="active"><i class="fa fa-upload"></i> '.__('Upload video','wp-video-contest').'</li></a> ';
}else{
  $html .= '<a href="'.$upload_url.'"><li><i class="fa fa-upload"></i> '.__('Upload video','wp-video-contest').'</li></a> ';
}		 

if (isset($_GET['contest'])&& $_GET['contest']== "contest-condition"){
  $html .= '<a href="'.$condition_url.'"><li class="active"><i class="fa fa-info"></i> '.__('Rules & Prizes','wp-video-contest').'</li></a> ';
}else{
  $html .= '<a href="'.$condition_url.'"><li><i class="fa fa-info"></i> '.__('Rules & Prizes','wp-video-contest').'</li></a> ';
}
if($begin_time > $today_time){
      $html .= '';
   }else{
if (isset($_GET['contest'])&& $_GET['contest']== "contest-profile"){
  if ( is_user_logged_in() ) {	
  $html .= '<a href="'.$profile_url.'"><li class="active"><i class="fa fa-user"></i> '.__('Your Videos','wp-video-contest').'</li></a> ';
  }
}else{
  if ( is_user_logged_in() ) {	
  $html .= '<a href="'.$profile_url.'"><li><i class="fa fa-user"></i> '.__('Your Videos','wp-video-contest').'</li></a> ';
  }
}
}
if($voting_time > $today_time){
      $html .= '';
   }else{
   if (isset($_GET['contest'])&& $_GET['contest']== "contest-top10"){
     $html .= '<a href="'.$rank_url.'"><li class="active"><i class="fa fa-star"></i> '.__('Top 10','wp-video-contest').'</li></a> ';
   }else{
  $html .= '<a href="'.$rank_url.'"><li><i class="fa fa-star"></i> '.__('Top 10','wp-video-contest').'</li></a> ';
   }
 }

		 
$html .= '<div class="clear"></div> 
		 </ul> 
        </div>
        
';

return $html;

}

?>