<?php

add_shortcode('wp-video-contest-video-detail', 'wp_video_contest_video_detail');


// Facebook Open Graph
if (isset($_GET['contest'])) {
	

if($_GET['contest']=='video-detail'){
	
    add_action('wp_head','add_wp_video_contest_og_meta');
    
    }
	
	function add_wp_video_contest_og_meta()
{    
    $video_id = $_GET['video_id'];
	
    $video = get_post( $video_id );
    $video_meta_id = get_post_meta($video_id,'video_id',true);
    $line = 'http://img.youtube.com/vi/'.$video_meta_id.'/0.jpg'; 
	if (isset($video->post_title)){
		$title = $video->post_title;
	}else{
		$title = "";
	}
/*	
  $strg = wp_get_attachment_image_src( $video_id,'gallery-big' );
	$fileParts = pathinfo($strg[0]);
	if(!isset($fileParts['filename']))
 {$fileParts['filename'] = substr($fileParts['basename'], 0, strrpos($fileParts['basename'], '.'));}
    $line = $fileParts['dirname'].'/'.$fileParts['filename'];
	*/
  $all_attachments_id = array();
	
  $current_url = get_permalink();
	$ogurl = add_query_arg( array('contest' => 'video-detail','video_id' => $_GET['video_id']), $current_url );
	
	
     echo '  
<!--video Competition Meta -->
<meta property="og:title" content="'.$title.'" />
<meta property="og:type" content="video" />
<meta property="og:image" content="'.$line.'" />
<meta property="og:url" content="'.$ogurl.'" />
';

if (empty($video->post_content)) {
    echo '';
}else{

    echo '<meta property="og:description" content="'.$video->post_content.'" />';

}
     echo '

<meta property="og:site_name" content="" />
<!--video Competition Meta -->

';
}
}
// Facebook Open Graph End




function wp_video_contest_video_detail($atts, $content = null){
	

  $video_id = $_GET['video_id'];
  $author_id = get_post_meta($video_id,'contest-video-author',true);
  $user = get_user_by( 'id', $author_id );
  $votes = get_post_meta($video_id,'contest-video-points',true);
  $video_meta_id = get_post_meta($video_id,'video_id',true);
  $line = '<div class="video_video-container"><iframe src="http://www.youtube.com/embed/'.$video_meta_id.'" 
frameborder="0" allowfullscreen></iframe>
</div>';
  
  //Permalink
   $current_url = get_permalink();
  
  $video = get_post( $video_id );
  $blogurl = home_url('url');
   if(count(get_post( $video_id ))==0)
	{
        $html = '<div class="video_clear"></div>';
		$html .= '<div class="wp_video_contest-info-bar"><i class="fa fa-exclamation-circle"></i> '.__('Sorry, that video does not exist!.','wp-video-contest').'</div>';
		return $html;
	}else{
	
   $html  = '<div class="video_clear"></div>';
   $html .= '<div class="wp_video_contest-image">'.$line;
   $html .= '</div>';
   $html .= '<div class="wp_video_contest-detail-info">';
   
   $args = array( 
        'post_type'      => 'wp_video_contest', 
        'posts_per_page' => -1, 
        'post_status'    => 'any', 
        'post_parent'    => null,
        'meta_key'       => 'contest-active',
        'meta_value'       => '1',
        );
  
  $all_attachments_id = array();
  $iterator = 1;
  $attachments = get_posts( $args );
    if ( $attachments ) {
	    foreach ( $attachments as $post ) {
        
        $all_attachments_id[$iterator] = $post->ID;
        
        if($_GET['video_id'] == $post->ID){
          $offset = $iterator;
        } 
        
        $iterator++;     
      }
    }
   
   if(!empty($all_attachments_id[$offset-1])){
    $blogurl_minus = add_query_arg( array('contest' => 'video-detail','video_id' => $all_attachments_id[$offset-1]), $current_url );
      $html .= '<a class="video_previous" href="'.$blogurl_minus.'"><img src="'.plugins_url().'/wp-video-contest/assets/next.png" alt="'.__('Previous video','wp-video-contest').'" title="'.__('Previous video','wp-video-contest').'"></a>';
    }
    if(!empty($all_attachments_id[$offset+1])){
    $blogurl_plus = add_query_arg( array('contest' => 'video-detail','video_id' => $all_attachments_id[$offset+1]), $current_url );
      $html .= '<a class="video_next" href="'.$blogurl_plus.'"><img src="'.plugins_url().'/wp-video-contest/assets/previous.png" alt="'.__('Next video','wp-video-contest').'" title="'.__('Next video','wp-video-contest').'"></a>';  
    } 
	

     
   
   //Control date
   $start = get_option('video-pcplugin-contest-start');
   $end = get_option('video-pcplugin-contest-end');
   $voting = get_option('video-pcplugin-contest-start-vote');
   $date = StrFTime('%m/%d/%Y', Time());
   
   $today_time = strtotime($date);
   $begin_time = strtotime($start); 
   $expire_time = strtotime($end);
   $voting_time = strtotime($voting);
   
   //Check end date
   if($expire_time < $today_time){
      $html .= '<div class="wp_video_contest-detail-vote fin">'.__('Competition is finished!','wp-video-contest').'</div>';
   }else{
   
   
   
   //Check who can vote
   $vote = get_option('video-pcplugin-who-vote');   
   $user_ID = get_current_user_id();
   //Check logged user
   if($vote =='1' && empty($user_ID)){
    //User id is empty - user is not logged
    $html .= '<div class="wp_video_contest-detail-vote fin">'.__('You must be logged in to vote!','wp-video-contest').'</div>';
  
  }else{ 
    
	if($voting_time > $today_time){
	  $dates = strtotime($voting);
      $remaining = $dates - time();
      $days_remaining = floor($remaining / 86400);
      $hours_remaining = floor(($remaining % 86400) / 3600);
	  if($days_remaining == 1){
		  $days=__('day','photo-contest');
	  }else{
		  $days=__('days','photo-contest');
	  } 
	  if($hours_remaining == 1){
		  $hours=__('hour','photo-contest');
	  }else{
		  $hours=__('hours','photo-contest');
	  } 
      $html .= '<div class="wp_video_contest-detail-vote fin">'.__('Voting starts in:','wp-video-contest').' '.$days_remaining.' '.$days.' '.$hours_remaining.' '.$hours.'</div>';
   }else{
	   
   $ips = get_post_meta($video_id,'contest-video-ip',true);
    $ip_address=explode(',',$ips);
    if(empty($ips)){
          $html .= '<div class="wp_video_contest-detail-vote"><a class="video_vote" data-item="'.$video_id.'">'.__('Vote for this video!','wp-video-contest').'</a></div>';
    }else{
    
     $check_user = true;
       //If exist ip adresses, check loged user too
       if(is_user_logged_in()){
          $user_ID = get_current_user_id();
          $users_ids = get_post_meta($video_id,'contest-video-users',true);
          $ids_array = explode(',',$users_ids);
          if(in_array($user_ID,$ids_array)){ $check_user = false; }
       }
    
       if($check_user){
    
        if(!in_array($_SERVER['REMOTE_ADDR'],$ip_address)){
          $html .= '<div class="wp_video_contest-detail-vote"><a class="video_vote" data-item="'.$video_id.'">'.__('Vote for this video!','wp-video-contest').'</a></div>';
        }else{
          $html .= '<div class="wp_video_contest-detail-vote thx">'.__('Thank you for vote!','wp-video-contest').'</div>';
		          }
       
       }else{
           $html .= '<div class="wp_video_contest-detail-vote thx">'.__('Thank you for vote!','wp-video-contest').'</div>';
        }
              
    }
   
   }
    }
 
  }
  
   $videourl = add_query_arg( array('contest' => 'video-detail','video_id' => $all_attachments_id[$offset]), $current_url );
  
   $shareurl = urlencode($videourl);
    
   
   $title = $video->post_title;
   $embed = '<iframe width="640" height="360" src="http://www.youtube.com/embed/'.$video_meta_id.'" frameborder="0" allowfullscreen></iframe>';
   
   $html .= '</div>';
   $html .= '<div class="wp_video_contest-detail-info">';
   $html .= '<div class="video_content"><strong>'.__('Author:','wp-video-contest').'</strong> '.$user->nickname .'</div>'; 
   $html .= '<div class="video_content"><strong>'.__('Title:','wp-video-contest').'</strong> '.$title.'</div>';
   $html .= '<div class="video_content"><strong>'.__('Description:','wp-video-contest').'</strong> '.$video->post_content.'</div>';
   $html .= '<div class="video_content"><strong>'.__('URL:','wp-video-contest').'</strong><input type="text" value="'.$videourl.'"></div>';
   $html .= '<div class="video_content">' ;
   $html .= '<div class="border-line"></div>'; 
   $html .= '<ul class="wp-video-contest-share">';
   $html .= '<li class="cleft"><i class="fa fa-heart"></i> '.$votes.'</li>'; 
   $html .= '<li class="cleft"><i class="fa fa-eye"></i> '.getVCompetitionViews($video_id).'</li>'; 
   $html .= '<li class="cright"><a href="http://www.facebook.com/sharer.php?u='.$shareurl.'"><i class="fa fa-facebook"></i></a></li>'; 
   $html .= '<li class="cright"><a href="https://plus.google.com/share?url='.$shareurl.'"><i class="fa fa-google-plus"></i></a></li>';
   $html .= '<li class="cright"><a href="https://twitter.com/home?status='.$shareurl.'"><i class="fa fa-twitter"></i></a></li>';
   $html .= '<li class="cright"><a href="http://www.tumblr.com/share/video?embed='.urlencode($embed).'&caption='.urlencode($post->post_title).'" target="_blank"> <i class="fa fa-tumblr"></i></a></li>';
   $html .= '</ul><div class="clear"></div>'; 
   $html .= '</div>';
   
	
    $html .= '</div>';
  
      return $html;
	  }

}
if (isset($_GET['video_id'])) {
$video_id = $_GET['video_id'];
setVCompetitionViews($video_id);
}

?>