<?php

if(isset($_GET['delete'])){
  delete_post_meta($_GET['delete'],'contest-active');
  delete_post_meta($_GET['delete'],'contest-video-points');

  
  $author_id = get_post_meta($_GET['delete'],'contest-video-author',true);
  delete_post_meta($_GET['delete'],'contest-video-author');
  
  $number_images = get_user_meta($author_id, 'contest_user_images', true);
  $number_images = $number_images-1;
  update_user_meta($author_id, 'contest_user_images', $number_images);
  wp_redirect(home_url().'/wp-admin/admin.php?page=wp-video-contest-videos');
  
}

   //Set post per page
   $post_per_page = 8;
   
   if(!isset($_GET['paged'])){
    $paged = 1;   
   }else{
    $paged = $_GET['paged'];
   }
    $atts = array();   
    if(isset($_GET['gallery-order'])){
    $atts['gallery-order'] = $_GET['gallery-order'];  
  }
  
  if(empty($atts['gallery-order'])){
  
  $args = array( 
        'post_type'      => 'wp_video_contest', 
        'posts_per_page' => $post_per_page, 
        'post_status'    => 'any', 
        'post_parent'    => null,
        'meta_key'       => 'contest-active',
        'orderby'        => 'post_date',
	      'order'          => 'DESC',
        'paged'          => $paged
        );
  
  }else{
  if($atts['gallery-order']=='date-down'){
  $args = array( 
        'post_type'      => 'wp_video_contest', 
        'post_status'    => 'any', 
        'post_parent'    => null,
        'meta_key'       => 'contest-active',
        'orderby'        => 'post_date',
	      'order'          => 'DESC',
        'posts_per_page' => $post_per_page,
        'paged'          => $paged
        );
  }elseif($atts['gallery-order']=='date-up'){
  $args = array( 
        'post_type'      => 'wp_video_contest', 
        'post_status'    => 'any', 
        'post_parent'    => null,
        'meta_key'       => 'contest-active',
        'orderby'        => 'post_date',
	      'order'          => 'ASC',
        'posts_per_page' => $post_per_page,
        'paged'          => $paged
        );
  }elseif($atts['gallery-order']=='points-down'){
  $args = array( 
        'post_type'      => 'wp_video_contest', 
        'post_status'    => 'any', 
        'post_parent'    => null,
        'meta_key'       => 'contest-video-points',
        'orderby'        => 'meta_value_num',
	      'order'          => 'DESC',
        'posts_per_page' => $post_per_page,
        'paged'          => $paged
        );  
  }elseif($atts['gallery-order']=='points-up'){
  $args = array( 
        'post_type'      => 'wp_video_contest', 
        'post_status'    => 'any', 
        'post_parent'    => null,
        'meta_key'       => 'contest-video-points',
        'orderby'        => 'meta_value_num',
	      'order'          => 'ASC',
        'posts_per_page' => $post_per_page,
        'paged'          => $paged
        );
  }
  
  
  
  }
        
$attachments = get_posts( $args );

  $arg = array( 
        'post_type'      => 'wp_video_contest', 
        'post_status'    => 'any', 
        'post_parent'    => null,
        'meta_key'       => 'contest-active',
        'orderby'        => 'post_date',
	      'order'          => 'DESC',
        'posts_per_page' => -1
        );
$attach = get_posts( $arg ); 
$items = count($attach);



?>

<div class="wrap">

	<?php screen_icon(); ?>
	<h2><?php echo esc_html( get_admin_page_title() ); ?></h2>
  <div class="t-col-12">
    <?php echo contest_video_pagination(4,2,$items,$post_per_page); ?>
  </div>
  
   <?php 


  $html = '';
  $html .= '<div class="clear"></div>';
   $html .= '<form method="get" action="" id="order-by-form">';
   $html .= '<input type="hidden" name="page" value="wp-video-contest-videos" />';
   $html .= '<select name="gallery-order" id="gallery-order">';
   $html .= '<option value="date-down"';
    if(isset($_GET['gallery-order']) && $_GET['gallery-order'] == 'date-down'){
      $html .= ' selected="selected" '; 
    }
   $html .= '>'.__('Newest','wp-video-contest').'</option>';
   $html .= '<option value="date-up" ';
    if(isset($_GET['gallery-order']) && $_GET['gallery-order'] == 'date-up'){
      $html .= ' selected="selected" '; 
    }
   $html .= '>'.__('Oldest','wp-video-contest').'</option>';
   $html .= '<option value="points-down" ';
    if(isset($_GET['gallery-order']) && $_GET['gallery-order'] == 'points-down'){
      $html .= ' selected="selected" '; 
    }
   $html .= '>'.__('Most Voted','wp-video-contest').'</option>';
   $html .= '<option value="points-up" ';
    if(isset($_GET['gallery-order']) && $_GET['gallery-order'] == 'points-up'){
      $html .= ' selected="selected" '; 
    }
   $html .= '>'.__('Least Votes','wp-video-contest').'</option>';
   $html .= '</select>';
   $html .= '</form>';
   $html .= '<div class="clear"></div>';
   echo $html;

  ?>

  <table class="wp-list-table widefat fixed media" cellspacing="0">
    <thead>
      <tr>
        <th class="manage-column" width="25"><?php _e('ID','wp-video-contest'); ?></th>
        <th class="manage-column" width="250"><?php _e('Video','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Caption','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Author','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Votes','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Active','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Edit','wp-video-contest'); ?></th>
      </tr>
    </thead>
    <tfoot>
      <tr>
        <th class="manage-column" width="25"><?php _e('ID','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Image','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Caption','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Author','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Votes','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Active','wp-video-contest'); ?></th>
        <th class="manage-column"><?php _e('Edit','wp-video-contest'); ?></th>
      </tr>
    </tfoot>
    <tbody id="the-list">
    <?php
$i=0;
if ( $attachments ) {
	foreach ( $attachments as $post ) {
		setup_postdata( $post );
         $i++;
        $video_active = get_post_meta($post->ID,'contest-active',true);
        $video_points = get_post_meta($post->ID,'contest-video-points',true);
        $video_id = get_post_meta($post->ID,'video_id',true);
        $blogurl = home_url();
        
        $author_id = get_post_meta($post->ID,'contest-video-author',true);
        $user = get_user_by( 'id', $author_id );
        
        $line = '<iframe width="250" height="141" src="http://www.youtube.com/embed/'.$video_id.'" 
frameborder="0" allowfullscreen></iframe>
';
         
    ?>
      <tr>
      <td class="manage-column"><?php //echo $post->ID; 
      echo $i;
      ?></td>
        <td class="manage-column"><a class="videos_thumb" href="<?php echo $blogurl.'/wp-admin/post.php?post='.$post->ID.'&action=edit'; ?>" target="_blank"><?php echo $line; ?></a></td>
        <td class="manage-column"><?php echo $post->post_title; ?></td>
        <td class="manage-column"><?php echo $user->nickname; ?></td>
        <td class="manage-column"><?php echo $video_points; ?></td>
        <td class="manage-column">
        <?php if($video_active==0){ ?>
        <?php _e('Inactive','wp-video-contest'); ?>
        <?php }else{ ?>
        <?php _e('Active','wp-video-contest'); ?>
        <?php } ?>
        </td>
        <td class="manage-column">
          <a href="<?php echo $blogurl.'/wp-admin/post.php?post='.$post->ID.'&action=edit'; ?>"><?php _e('Edit','wp-video-contest'); ?></a>&nbsp;&nbsp;
        <?php if($video_active==0){ ?>
          <a class="video_activate" data-item="<?php echo $post->ID; ?>"><?php _e('Activate','wp-video-contest'); ?></a>
        <?php }else{ ?>
          <a class="video_deactivate" data-item="<?php echo $post->ID; ?>"><?php _e('Deactivate','wp-video-contest'); ?></a>
        <?php } ?>
          <a href="<?php echo $blogurl; ?>/wp-admin/admin.php?page=wp-video-contest-videos&delete=<?php echo  $post->ID; ?>" class="video_delete" data-item="<?php echo $post->ID; ?>"><?php _e('Delete','wp-video-contest'); ?></a>
        </td>
      </tr>
      <?php
       //endforeach;
       //endif;
          }
       }
      ?>
    </tbody>
    
  </table>
  <div class="t-col-12">
    <div class="clear" style="margin-top:20px;">
    <?php echo contest_video_pagination(4,2,$items,$post_per_page); ?>
    </div>
  </div>
</div>